[package]
name = "libsydtime"
version = "0.0.4"
edition = "2021"
authors = ["Ali Polatel <alip@chesswob.org>"]
description = "Rust-based C LD_PRELOAD library to replace vDSO time calls with syscalls"
readme = "README.md"
license = "LGPL-3.0"
categories = ["development-tools::debugging", "os::linux-apis"]
keywords = ["security", "sandbox"]
homepage = "https://libsydtime.exherbo.org"
repository = "https://gitlab.exherbo.org/sydbox/sydbox.git"
rust-version = "1.56.1" # remember to update README.md

# Prevent this from interfering with workspaces
[workspace]
members = ["."]

[lib]
name = "sydtime"
crate-type = ["cdylib"]

[dependencies]
libc = { version = "0.2", default-features = false }
